Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.jts
Class JTSSynchronizationListener

`java.lang.Object
oracle.toplink.jts.AbstractSynchronizationListener
oracle.toplink.jts.JTSSynchronizationListener`

All Implemented Interfaces:
  javax.transaction.Synchronization

Direct Known Subclasses:
  Oracle9iJTSSynchronizationListener, OS390SynchronizationListener, WebLogicSynchronizationListener

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `JTASynchronizationListener`

public class JTSSynchronizationListener
extends AbstractSynchronizationListener
implements javax.transaction.Synchronization

Purpose: Concrete implementation of AbstractSynchronizationListener based on JTS 1.0. As such, it uses the 'proper' interfaces javax.transaction.Transaction and javax.transaction.Status. It is important to note that this class must be statically configured with an instance of a class that implements the JTS TransactionManager interface so that the current transaction can be found.

Field Summary

Fields inherited from class oracle.toplink.jts.AbstractSynchronizationListener
`dumpExceptionsFromCallbacks`

Constructor Summary
`JTSSynchronizationListener(UnitOfWork unitOfWork, Session session, java.lang.Object transaction)` Deprecated.

Method Summary
`static void` | `setTransactionManager(javax.transaction.TransactionManager theTransactionManager)` Deprecated. REQUIRED: If using a JTS 1.0 compliant driver this must be called to give TopLink access to the transaction manager.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.transaction.Synchronization
`afterCompletion, beforeCompletion`

Constructor Detail

### JTSSynchronizationListener

    public JTSSynchronizationListener(UnitOfWork unitOfWork,
                                      Session session,
                                      java.lang.Object transaction)

  Deprecated.

Method Detail

### setTransactionManager

    public static void setTransactionManager(javax.transaction.TransactionManager theTransactionManager)

  Deprecated.
  REQUIRED: If using a JTS 1.0 compliant driver this must be called to give TopLink access to the transaction manager. This is required because there is no standard way to lookup the transaction manager in JTS 1.0.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD